Skip to main content
POST
Personalize push instance

Authorizations

Authorization
string
header
default:App
required

This is the most secure authorization type and the one with the most flexibility.

API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.

You can manage your API keys from GUI, or programmatically with dedicated API.

API key Authorization header example:

Headers

AppCode
string
required

Application code

Path Parameters

pushRegId
string
required

Registration identifier of a particular push device registration

Query Parameters

forceDepersonalize
boolean

You can set this parameter to true if you want previous personalization to be always reset. Do not use this parameter if you want to know when there’s an attempt to personalize already personalized registration.

keepAsLead
boolean

You can set this parameter to true if you want to prevent the promotion from Lead to Customer. Only for specific use cases where the default behaviour wants to be avoided.

returnPush
boolean

You can set this parameter to true if you want the response to include "push" mobile app contact information for the person.

setDeviceAsPrimary
boolean

You can set this parameter to true if you want to set the device associated with the "pushRegId" as primary device for the person.

Body

application/json

Partial instance model

identity
PushUserIdentity · object
required

Unique identifiers from this object will be used to find a person to personalize push registration with

attributes
object

Data specified in this object will be applied to the target person upon personalization

Response

OK

externalId
string

Id of a user in external system

firstName
string

User first name

lastName
string

User last name

middleName
string

User middle name

birthday
string<date-time>
gender
enum<string>

User gender

Available options:
MALE,
FEMALE
customAttributes
object

Set of custom key-value pairs where value can be any of string, number, boolean

tags
string[]

Set of string labels attached to the user

Set of string labels attached to the user

contactInformation
ContactInformation · object